<div class="col-10 offset-1 mt-4" *ngIf="user">
  <h3>{{pageTitle}}</h3>
  <hr>

  <div class="card">
    <div class="card-body text-center">
      <blockquote class="blockquote mb-0">
        <img src="{{ url+'/uploads/users/'+user.image}}" alt="" class="avatar-profile-page" *ngIf="user.image">
        <img src="{{ url+'/uploads/users/default-user.png'}}" alt="" class="avatar-profile-page" *ngIf="!user.image">
        <h4>{{user.name + ' ' + user.surname}}</h4>
        <h5>{{ '('+user.email+')'}}</h5>
        <footer class="blockquote-footer">{{user.description}}</footer>
      </blockquote>
    </div>
    <div class="card-footer text-muted text-center" *ngIf="user.updatedAt">
      Última actualización {{ user.updatedAt.timestamp | amFromUnix | amDateFormat:'DD/MM/YY hh:mmA' }}
    </div>
    <div class="card-footer text-muted text-center" *ngIf="!user.updatedAt">
      Última actualización {{ user.createdAt.timestamp | amFromUnix | amDateFormat:'DD/MM/YY hh:mmA' }}
    </div>
  </div>

  <!--Posts-->
  <div class="alert alert-warning mt-3 text-center" *ngIf="posts && posts.length==0">Usuario sin publicaciones todavía</div>
  <div class="mx-auto text-center mt-5" *ngIf="!posts"><img src="{{url +'loaders/6.gif'}}" alt=""></div>
  <div class="d-flex flex-wrap pl-5">
      <div class="card mt-4 mx-4 text-center" style="width: 301px;" *ngFor="let post of posts">
        <img src="{{url + 'post/getImage/'+ post.image}}" style="width:300px" class="card-img-top" *ngIf="post.image">
        <img src="https://via.placeholder.com/300" alt="" style="width:300px" class="card-img-top" *ngIf="!post.image">
        <h5 class="card-title">{{post.title}}</h5>
        <div class="card-body">
          <p class="card-text" [innerHtml]="post.content"></p>
          <div class="text-center" *ngIf="identity">
            <a [routerLink]="['/post',post.id]" class="btn btn-success mx-2"> Leer</a>
            <a [routerLink]="['/post/edit',post.id]" class="btn btn-warning mx-2" *ngIf="identity.sub==post.user.id">
              Editar</a>
            <button class="btn btn-danger mx-2" *ngIf="identity.sub==post.user.id" data-toggle="modal"
              [attr.data-target]="'#deleteModal'+post.id">Borrar</button>
          </div>
        </div>

        <div class="card-footer">
          <small class="text-muted">Creado
            {{ (post.createdAt.timestamp | amFromUnix) | amDateFormat:'DD/MM/YY hh:mmA' }}</small>
        </div>
        <!--Modal-->
        <div class="modal fade" id="{{'deleteModal'+post.id}}" tabindex="-1" role="dialog"
          aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmar borrado {{post.title}}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ¿Estás seguro de que quieres borrar esta publicación?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                <button type="button" class="btn btn-danger" (click)="delete(post.id)" data-dismiss="modal">Sí,
                  Borrar</button>
              </div>
            </div>
          </div>
        </div>
        <!---->
      </div>
    </div>

</div>